Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Box Class Reference

Inheritance diagram for osg::Box:

[legend]
List of all members.

## Public Member Functions
| Box ()
| Box (const osg::Vec3 &center, float width)
| Box (const osg::Vec3 &center, float lengthX, float lengthY, float lengthZ)
| Box (const Box &box, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Shape (osg, Box)
bool | valid () const
void | set (const Vec3 &center, const Vec3 &halfLengths)
void | setCenter (const Vec3 &center)
const Vec3 & | getCenter () const
void | setHalfLengths (const Vec3 &halfLengths)
const Vec3 & | getHalfLengths () const
void | setRotation (const Quat &quat)
const Quat & | getRotation () const
Matrix | computeRotationMatrix () const
bool | zeroRotation () const
## Protected Member Functions
virtual | ~Box ()
## Protected Attributes
Vec3 | _center
Vec3 | _halfLengths
Quat | _rotation

## Constructor & Destructor Documentation

osg::Box::Box | ( |  | ) | `[inline]`

osg::Box::Box | ( | const osg::Vec3 & | center,
|  | float | width
| ) | `[inline]`

osg::Box::Box | ( | const osg::Vec3 & | center,
|  | float | lengthX,
|  | float | lengthY,
|  | float | lengthZ
| ) | `[inline]`

osg::Box::Box | ( | const Box & | box,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osg::Box::~Box | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

Matrix osg::Box::computeRotationMatrix | ( |  | ) | const`[inline]`

const Vec3& osg::Box::getCenter | ( |  | ) | const`[inline]`

const Vec3& osg::Box::getHalfLengths | ( |  | ) | const`[inline]`

const Quat& osg::Box::getRotation | ( |  | ) | const`[inline]`

osg::Box::META_Shape | ( | osg | ,
|  | Box |
| ) |

void osg::Box::set | ( | const Vec3 & | center,
|  | const Vec3 & | halfLengths
| ) | `[inline]`

void osg::Box::setCenter | ( | const Vec3 & | center | ) | `[inline]`

void osg::Box::setHalfLengths | ( | const Vec3 & | halfLengths | ) | `[inline]`

void osg::Box::setRotation | ( | const Quat & | quat | ) | `[inline]`

bool osg::Box::valid | ( |  | ) | const`[inline]`

bool osg::Box::zeroRotation | ( |  | ) | const`[inline]`

## Member Data Documentation

Vec3 osg::Box::_center`[protected]`

Vec3 osg::Box::_halfLengths`[protected]`

Quat osg::Box::_rotation`[protected]`

The documentation for this class was generated from the following file:

- Shape